<div class="container">
  <div class="row">
    <div class="col-md-12">
        <div class='page-header'><h1>{{tittle}}</h1></div>
    </div>
  </div>

  <app-read-products
     
        (show_create_product_event)="showCreateProduct($event)"
      (show_read_one_product_event)="showReadOneProduct($event)"
  (show_delete_product_event)="showDeleteProduct($event)">
  </app-read-products>
  
  <app-read-one-product
      *ngIf="show_read_one_product_html"
      (show_read_products_event)="showReadProducts($event)"
      [product_id]="product_id">
  </app-read-one-product>
  
  <app-delete-product
      [product_id]="product_id"
      (show_read_products_event)="showReadProducts($event)">
  </app-delete-product>

</div>